<script setup lang="ts">
import { useQueCleaningtable } from "../../stores/queueClean";
import { mdiCheckboxMarkedCircle } from "@mdi/js";
const quetable = useQueCleaningtable();
</script>

<template>
  <!-- <v-card color="white"> -->
  <v-container class="pa-4">
    <v-card width="800">
      <v-toolbar color="#DED4F7" height="20">
        <!-- <v-row class="justify-center">
                  <div class="text-h4">โต๊ะ</div>
                </v-row> -->
      </v-toolbar>
      <v-container>
        <v-row class="text-h6">
          <v-col> No. </v-col>
          <v-col> เลขโต๊ะ</v-col>
          <v-col> สถานะโต๊ะ </v-col>
          <v-col> เสร็จสิ้น</v-col>
        </v-row>
        <v-row v-for="item in quetable.QueueTable" :key="item.id">
          <v-col> {{ item.id }}</v-col>
          <v-col> {{ item.tableNumber }} </v-col>
          <v-col>{{ item.status }} </v-col>

          <v-col>
            <v-btn
              color="green"
              :prepend-icon="mdiCheckboxMarkedCircle"
            ></v-btn>
          </v-col>
        </v-row>
      </v-container>
      <v-footer color="#DED4F7"> </v-footer>
    </v-card>
  </v-container>
  <!-- </v-card> -->
</template>

<style scoped></style>
